using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace filtertest
{
    public class testViewModel
    {
        public class Data
        {
            private string _Path;
            public Data(string path)
            {
                this.Path = path;
            }
            public string Path
            {
                get { return _Path; }
                set { _Path = value; }
            }
        }

        public testViewModel()
        {
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
            Collection.Add(new Data("sdfsfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"));
        }

        private List<Data> _Collection = new List<Data>();
        public List<Data> Collection
        {
            get { return _Collection; }
            set { _Collection = value; }
        }

    }
}
